/**
 * Copyright 2014 Daum Kakao Corp.
 *
 * Redistribution and modification in source or binary forms are not permitted without specific prior written permission. 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kakao.auth.network.response.body;

/**
 * @author leoshin, created at 15. 8. 3..
 */
public class ResponseData {
    private final int httpStatusCode;
    private final String responseString;

    public ResponseData(int httpStatusCode, String responseString) {
        this.httpStatusCode = httpStatusCode;
        this.responseString = responseString;
    }

    public int getHttpStatusCode() {
        return httpStatusCode;
    }

    public String getResponseString() {
        return responseString;
    }

    @Override
    public String toString() {
        return "ResponseData { httpStatusCode=" + httpStatusCode + ", responseString=" + responseString + "}";
    }
}
